# xdpyinfo

Xdpyinfo is a utility for displaying information about an X server.
It is used to examine the capabilities of a server, the predefined values for various parameters used in communicating between clients and the server, and the different types of screens and visuals that are available.

By default, numeric information (opcode, base event, base error) about protocol extensions is not displayed.
This information can be obtained with the -queryExtensions option. Use of this option on servers that dynamically load extensions will likely cause all possible extensions to be loaded, which can be slow and can consume significant server resources.

Detailed information about a particular extension is displayed with the -ext extensionName option.
If extensionName is all, information about all extensions supported by both xdpyinfo and the server is displayed.

